Move search bar and project selector to the top bar
Description

| made this quick patch more as some kind of preparation for #31353 (you may also add to this ticket to #31353 as related).

| think search bar and project selector elements will make more sense in the top bar, if avatar with user options fly-out will be added
to the top bar. That's because top bar will have to become larger, hence to utilize available space more efficiently search bar and
project selector might need to be moved to the top bar.

How it will look after the patch is applied
newtopbar.png
To win back some vertical space, we could also reduce the height of header later on, and even more space could be won if, as

Bernhard suggested, we could combine the application header title with project breadcrumbs later on.

P.S. I didn't mess with floating rules in this patch, so bars are still floating left for now. I think floating could then also be adjusted a bit
later.

Related issues:
Related to Redmine - Feature #31353: Replace user related links in the top me... New

History

#1 - 2019-09-23 03:23 - Go MAEDA
- File 1024px.png added

Thank you for posting the patch.

But it does not look so nice in medium-sized windows. At 1024px width, the top menu is very crowded.
#2 - 2019-09-23 05:52 - Anonymous

- File move-search+projectselector-to-topbar-decreased-margins.patch added

Go MAEDA wrote:

Thank you for posting the patch.
But it does not look so nice in medium-sized windows. At 1024px width, the top menu is very crowded.

Thanks for the feedback, but as | mentioned, this patch is a "preparation for #31353" which means, no way will it not look crowded in medium-sized
windows until something like latest patch from Marius in #31353 would be committed (it pretty much packs all user links into avatar fly-out menu,
which obviously saves alot of horizontal space in the top bar).
Then hiding Search link into a button by the search bar as Bernhard proposed in Discord would also give a bit extra space.
Anyhow, here is slightly changed patch, with a bit smaller gaps between links :D

#3 - 2021-02-02 14:08 - Mischa The Evil

- Related to Feature #31353: Replace user related links in the top menu bar with a proper user menu. added

Files

move-search+projectselector-to-topbar.patch 2.21 KB 2019-09-22 Anonymous
newtopbar.png 30.3 KB 2019-09-22 Anonymous
1024px.png 22.8 KB 2019-09-23 Go MAEDA
move-search+projectselector-to-topbar-decreased-margins.patch 2.26 KB 2019-09-23 Anonymous
